[P066]专利分类号说明

post
https://connect.zhihuiya.com/high-value-data/patent-classification-description
在体验中心中试用

可以通过输入专利分类号类型和code查询对应的分类号说明

注意:专利分类号type和code两个参数必填。 该接口支持批量请求,上限为同一个type的10个分类号code,请求参数相互之间用英文,隔开。批量请求在进行流量/费用扣减的时候,会根据返回结果的成功条数进行多次扣减。

可以通过输入专利分类号类型和code查询对应的分类号说明

注意:专利分类号type和code两个参数必填。 该接口支持批量请求,上限为同一个type的10个分类号code,请求参数相互之间用英文,隔开。批量请求在进行流量/费用扣减的时候,会根据返回结果的成功条数进行多次扣减。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
code
必填
stringC08G69/32
专利分类号code,字符长度小于等于150,批量数量需要小于等于10,且用英文逗号间隔
replace_by_merge
integer<int32>1
当前专利分类号类型是ipc或者cpc时,是否用历史合并数据替代,默认替代: 1:是 0:否
type
必填
stringipc
专利分类号类型,字符长度小于等于5

枚举值:ipc,cpc,upc,gbc,loc,fi,fterm

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
array-
响应数据
code
stringC08G69/32
专利分类号
desc
arraydesc
专利分类号说明
lang
stringEN
专利分类号说明语言
text
string... from aromatic diamines and aromatic dicarboxylic acids with both amino and carboxylic groups aromatically bound [2006.01]
专利分类号说明文本
type
stringipc
专利分类号类型,字符长度小于等于5

枚举值:ipc,cpc,upc,gbc,loc,fi,fterm

parent
arrayparent
母层级分类号数据
desc
arraydesc
母层级专利分类号说明
parent_code
stringEN
母层级专利分类号
version
string2024.01
专利分类号版本
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": [
    {
      "code": "C08G69/32",
      "desc": [
        {
          "lang": "EN",
          "text": "... from aromatic diamines and aromatic dicarboxylic acids with both amino and carboxylic groups aromatically bound [2006.01]"
        }
      ],
      "type": "ipc",
      "parent": [
        {
          "desc": [
            {
              "lang": "EN",
              "text": "... from aromatic diamines and aromatic dicarboxylic acids with both amino and carboxylic groups aromatically bound [2006.01]"
            }
          ],
          "parent_code": "EN"
        }
      ],
      "version": 2024.01
    }
  ],
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms